Columbus Circle Capital Corp I

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1788393600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.procapfinancial.com/news-releases/news-release-details/procap-financial-repurchases-more-2-shares-outstanding",
    "holding_balance": 5305.0,
    "holding_net_change": -100.0,
    "transaction_value_usd": 7728462.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1789516800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.procapfinancial.com/news-releases/news-release-details/procap-financial-repurchases-additional-22-shares-outstanding",
    "holding_balance": 5254.0,
    "holding_net_change": -51.0,
    "transaction_value_usd": 3854207.19,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1790121600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.cfosilvia.com/news-releases/news-release-details/silvia-repurchases-additional-23-shares-outstanding-bringing",
    "holding_balance": 5130.0,
    "holding_net_change": -124.0,
    "transaction_value_usd": 10681729.52,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    5130.0
  ],
  [
    1790899200000,
    5130.0
  ],
  [
    1790985600000,
    5130.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    428596930.8
  ],
  [
    1790899200000,
    434935917.9
  ],
  [
    1790985600000,
    433467558.00000006
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.915,
    "date": "2026-09-24",
    "high": 4.23,
    "open": 3.925,
    "close": 3.96,
    "volume": 1449742
  },
  {
    "low": 3.8,
    "date": "2026-09-25",
    "high": 4.01,
    "open": 3.94,
    "close": 3.92,
    "volume": 1651225
  },
  {
    "low": 3.84,
    "date": "2026-09-28",
    "high": 3.9776,
    "open": 3.87,
    "close": 3.91,
    "volume": 952705
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 81.02,
  "six_month_return": 89.81,
  "three_month_return": 162.42
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/columbus-circle-capital-corp-i/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 120.5,
  "total_btc_percentage": 0.024,
  "share_price_change_state": "down"
}